---

# The command to start the server
# 'kubelet-arg' was added in k3s v0.4.0 to support metrics
server_start_cmd: "{{ k3s_bin }} server --kubelet-arg='address=0.0.0.0'"

# The location of the token file
# on the k3s server...
server_token_file: /var/lib/rancher/k3s/server/node-token
# The path to the server's config
kube_config_dir: /etc/rancher/k3s

# Pod sates for pods that are clearly in trouble
poor_pod_states:
- Failed
- CrashLoopBackOff

# Time to sleep (seconds) after starting the server
# if there are 'ready' agents. This is used
# to allow the server to determine if the agents
# are really ready.
#
# On server restart it takes some time for the server
# to correctly record agent state.
#
# Found empirically. At the moment 30 seconds seems to be enough
# time for the server to record true agent state and 20 seconds
# is too short.
server_start_agent_delay: 45

# Time to wait (in seconds) for the k3s server
# to appear to start if we end up having to start it.
server_start_timeout: 600
